async function sendRequest() {
    let response = await $.ajax({
        type: "POST",
        url: "write_json.php",
    });
    response = JSON.parse(response);
    console.log(response);
    return response["status"];
}


$('#uploadButton').on('click', function () {
    $.confirm({
        title: 'Confirmer',
        content: "Voulez vous vraiment mettre en ligne le stock actuel du Proximo ? Il sera visible depuis l'application CAMPUS.",
        type: "orange",
        buttons: {
            formSubmit: {
                text: 'Confirmer',
                btnClass: "btn-warning",
                action: async function () {
                    let result = await sendRequest();
                    if (result !== 0) {
                        $.alert({
                            title: "Erreur",
                            content: "Une erreur est survenue, merci de réessayer plus tard.",
                            type: "red",
                        })
                    } else {
                        $.alert({
                            title: "Succès",
                            content: "Le stock a bien été mis à jour.",
                            type: "green",
                        })
                    }
                }
            },
            cancel: {
                text: 'Annuler',
            }
        }
    });
});
